Subject: Regarding PARTIAL command

From: Gangadhar Mylapuram <[email-masked]>
Date: Mon, 11 Aug 2003 23:27:31 -0700 (PDT)

Hello every body,
 
I am developing an IMAP client, according to my 
client requirement,  I am following rfc1730. My 
client asked for support of PARTIAL command. But I 
have latest version of UW IMAP server, it is not 
supporting PARTIAL command. In this scenario how 
can i supprot this command. 
 
rfc 1730 is obsoleted by rfc 2060. 
 
My qestion is whether latest IMAP servers support 
obsoleted rfcs or not?
 
Can any body tell me what considerations i have 
to make here?
 
Thanks
Gangadhar.

---------------------------------
Do you Yahoo!?
Yahoo! SiteBuilder - Free, easy-to-use web site design software

---

From: Sebastian Hagedorn <[email-masked]>
Date: Tue, 12 Aug 2003 10:26:56 +0200

> My qestion is whether latest IMAP servers support

That depends. RFC 1730 is for IMAP4, whereas RFC 2060 and RFC 3501 describe 
IMAP4rev1. If a server tells you that it supports IMAP4 it will have the 
PARTIAL command. An example is Cyrus, which supports both IMAP4 and 
IMAP4rev1. If, however, the server only supports IMAP4rev1, it will not. 
This has nothing to do with supporting older RFCs. IMAP4 and IMAP4rev1 are 
simply different protocols, or rather different versions.

Cheers, Sebastian
--
Sebastian Hagedorn		PGP key ID: 0x4D105B45
Ehrenfeldgürtel 156
50823 Köln
http://www.spinfo.uni-koeln.de/~hgd/

---

From: Gangadhar Mylapuram <[email-masked]>
Date: Tue, 12 Aug 2003 01:54:27 -0700 (PDT)

Dear Sebastian,
 
You mean two independent prtocols for mail access.
 
 I am asking about low version compatibility. 
 
Is it not compulsary to have support of lower versions?

Sebastian Hagedorn <[email-masked]> wrote:
--On Montag, 11. August 2003 23:27 Uhr -0700 Gangadhar Mylapuram 

Cheers, Sebastian

---

From: Sebastian Hagedorn <[email-masked]>
Date: Tue, 12 Aug 2003 10:59:00 +0200

Hi Gangadhar,

> You mean two independent prtocols for mail access.

yes.

> Is it not compulsary to have support of lower versions?

No. Some implementations have it, others don't.

Cheers, Sebastian

---

From: Mark Crispin <[email-masked]>
Date: Mon, 18 Aug 2003 15:21:35 -0700 (Pacific Daylight Time)

> Is it not compulsary to have support of lower versions?

RFC 1730 had certain functionalities, including the PARTIAL command, which
were fundamentally flawed in their design and which were removed in RFC
2060.  It is now 7 years later.

No software should use those broken functionalities of RFC 1730.  It is
alright for a server not to support them.

UW imapd's support for RFC 1730 was removed some time ago.

-- Mark --

http://staff.washington.edu/mrc
Science does not emerge from voting, party politics, or public debate.
Si vis pacem, para bellum.